function draw_err(X,Bcol,ERRcol,Xcol,barcolor)
%---------------------------------------------------
%	draw error bars
%	X- matrix to take data from
%	rescol - column containing the results
%	errcol - column cont. the errors
%	Xcol - column to use as the X-axis
%	color - error bar color 
%---------------------------------------------------
if nargin<5, barcolor='g'; end
if nargin<4, Xcol=1; end
[nr,nc]=size(X);
hold on
for ii=1:nr,
  plot([X(ii,Xcol) X(ii,Xcol)],...
     [X(ii,Bcol)+X(ii,ERRcol) X(ii,Bcol)-X(ii,ERRcol)],barcolor);
end
%hold off
%===================================================
