% rfchkin.m	
%-----------------------------------------------------------------------
%  df-apr-97
%	perform check of all input arguments/variables
%	for RELAXFIT
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-----------------------------------------------------------------------
%------------------------check input arguments--------------------------
if nargin<12, kept0=[];   end
if nargin<11, RES0=[];    end
if nargin<10, guess=[];   end
if nargin<9,  mcmode=[];  end
if nargin<8,  fitmode=[]; end
if nargin<7,  reslist=[]; end
if nargin<6,  pnsign=[];  end
if nargin<5,  onfly=[];   end
if nargin<4,  fitdim=[];  end
if nargin<3,  DELAY=[];   end
if nargin<2,  SIGMA=[];     end
if nargin<1,  XPKS=[];    end                                   %????
%-----------------------let the guys check in------------------------
chk_in=1;
chk=rfchkvar(XPKS,'XPKS');chk_in=chk_in*chk;
chk=rfchkvar(DELAY,'DELAY');chk_in=chk_in*chk;
[chk,fitdim]=rfchkvar(fitdim,'fitdim',1,2);              %--> default
[chk,fitmode]=rfchkvar(fitmode,'fitmode',1,1);           %--> default
[chk,guess]=rfchkvar(guess,'guess',1,[100 0.01 15]);     %--> default
[chk,mcmode]=rfchkvar(mcmode,'mcmode',1,NaN);            %--> default
[chk,onfly]=rfchkvar(onfly,'onfly',1,0);                 %--> default
[chk,reslist]=rfchkvar(reslist,'reslist',1,NaN);         %--> default
if fitdim==0,                   %3pn-fit
   chk=rfchkvar(pnsign,'pnsign');chk_in=chk_in*chk;
end
if fitmode==2,                  %error estim. only
  chk=rfchkvar(RES0,'RES0');chk_in=chk_in*chk;
  chk=rfchkvar(kept0,'kept0');chk_in=chk_in*chk;
end
if fitdim~=2&fitdim~=3&fitdim~=0,
  disp('wrong fitdim! try again...'); chk=0;
  chk_in=chk_in*chk;
end
if chk_in==0,
   error('FATAL ERROR!!! Check the input params and try again...');
end

%====================================================================
