function kksig=rfdisp(resid,AR,var,npar,ksig,chi2crit)
%------------------------------------------------------
%	display (print) the results	
%% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%------------------------------------------------------ 
  if ksig==5,				%experim. SIGMA values
     text=['  vs. ',num2str(chi2crit),' (5% crit.lev.)'];
  else
     text=[' '];
  end
  disp(' ');
  message=['res# ',num2str(resid),':  A= ',num2str(AR(1)),...
  '  1/R= ',num2str(1./AR(2))];
  if npar==3,
    message=[message,'  C= ', num2str(AR(3))];
  end
  message=[message,'   var= ',num2str(var),text];
  disp(message);
  kksig=ksig;
  if ksig==5,				%check the goodness-of-fit
     if var>chi2crit,
	disp('Warning: chi2 is greater than the alpha=0.05 level!!!');
	kksig=6;        %if chi2>chi2crit, sigma might need to be scaled
     end
  end
return
%===============================================================
