function rfpltrf(resid,xobs,delay,index,xobs00,sigma00,...
         delay00,index00,AR,fitdim,npar,nobs00)
%-----------------------------------------------------------
%	
%	visualize (plot) the residuals of fit  
%	
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-----------------------------------------------------------
%------------------plot the residuals of fit----------------
   hold off
   if fitdim==2,
     resfit00=xobs00-AR(1)*exp(-delay00*AR(2));
     resfit=xobs-AR(1)*exp(-delay*AR(2));
   else
     resfit00=xobs00-(AR(1)*index00-AR(3)).*exp(-delay00*AR(2))-AR(3);
     resfit=xobs-(AR(1)*index-AR(3)).*exp(-delay*AR(2))-AR(3);
   end
   plot(delay00,resfit00,'o');
   hold on
   axis([min([0,delay00]),1.05*max(delay00),...
     1.05*min(min(resfit),-0.1*max(xobs00)),...
     1.05*max(max(resfit),0.1*max(xobs00))]);  
   plot(delay,resfit,'w.');
   plot([min(delay00),max(delay00)],[0 0],'--');
   title(['residue No  ',num2str(resid),':  the residuals of fit']);
return
%===========================================================
