function [xobs,sigma,keep,nobs]=rfpreppk(xx,sig,ksig,npts)
%--------------------------------------------------------
%	prepare xobs, sigma, keep for a particular xpeak
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%--------------------------------------------------------
 xobs=zeros(1,npts);
 keep=~isnan(xx(2:npts+1));        	       %exclude NaN
 nobs=sum(keep);
 keep_ind=find(keep);
 xobs(keep_ind)=xx(keep_ind+1);
 if ksig==5|ksig==6,			       %=6 added temporarily
   sigma=100*sig/max(abs(xobs)); 	       %normalize sigma 
 end
 xobs=100*xobs/max(abs(xobs));  	       %normalize xobs
 if ksig==1, sigma=10*ones(size(xobs)); end    %sigma=10%(const)
 if ksig==0, sigma=0.1*abs(xobs); end          %sigma=10%(intensity)
return
%=====================================================
