function xclude=rfxclude(xobsA,delayA,keepA)
%---------------------------------------------------------------
%  df-apr-97				df-dec-96		
%	manual point exclusion
%	
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%----------------------------------------------------------------
[dum,npnts]=size(delayA);
xclude=~keepA;				%keep --> xclude
dx=max(delayA)/100;   	        	%resolution on the x-axis
dy=1;					%resolution on the y-axis
while 1,
   [x,y,butt]=ginput(1);
   if butt==3|butt==2, return; end	%exit if butt=2 or 3
   for ii=1:npnts,
    if keepA(ii)~=0, 			%xclude all prev.excl.points
       if abs(delayA(ii)-x)<=3*dx&...
          abs(xobsA(ii)-y)<=0.05*abs(xobsA(ii)),
	  xclude(ii)=1;       		%point to be excluded
          break;
       end;
    end
   end
end
return
%=================================================================  
