function [chk_in,var]=rfchkvar(var,varname,asgn,val);	
%--------------------------------------------------------
%  df-dec-96
%	check if variable 'varname' has been 
%	defined (i.e. ~isempty)
%	assign a default value (val) if asgn=1, 
%	return 1 if ok,
%	return 0 otherwise
%
%	varname must be a string!!!
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%--------------------------------------------------------
if nargin<3, asgn=0; val=NaN; end
chk_in=1;
nval=size(val,2);
message=[' '];
for ii=1:nval,
 message=[message,num2str(val(ii)),' '];
end
if isempty(var),		
   if asgn==1,			%assign to val
     var=val;
     disp([varname,' was not defined!  ',...
       'Has been set to default [',message,']']);
   else
     chk_in=0;
     disp([varname,' has not been defined! Can"t proceed...']);
   end
end
%var,				%don't delete this line!
return
%========================================================
