% rfdemo_3.m
% this is a demo of the RELAXFIT program  
% for the 3-par. fit
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-------------------------------------------------------------------
load demo_3.mat			%load a prepared data set:
				%A0=100;C0=-20; 
				%R0=[0.18;0.20;0.20;0.22]; %relax.rates
				%1/R0=[5.5556,5.0000,5.0000,4.5455]; %relax.time
				%DELAY=[0:20];
				%xx=(A0-C0)*exp(-R0*DELAY)+C0;
				%SIGMA=abs(xx(2,:))*0.05;
				%XPKS=[[1:4]',xx.*(1+0.05*randn(4,21))];

fitind=3;
guess=[120 0.1 -15];		%in this case I recommend to define the guess,
				%because the default initial guess in relaxfit assumes 
				%A0 & C0 having the same sign

% you might want to try running the program step-by-step or let it fly automatically:
% select 0 or 1, respectively.

while 1,
  konfly=input('please enter 0 for step-by-step fitting or 1 for the autopilot run ==> ');
  if konfly==1|konfly==0, break; end
end
[res,kept]=relaxfit(XPKS,SIGMA,DELAY,fitind,konfly,[],[],1,1,guess);

% for your comparison, the results of our fitting are attached as RES0, kept0. 

% xpeaks #2 and #3 have the same initial relax.rate, to demonstrate the manual
% point exclusion feature, the 7-th data point in xpeak#3 was spoiled. The attached 
% results are obtained with this point considered (hence excluded) as an outlier. 

% Good Luck!!!
% David
