% rfdemo_3pn.m
% this is a demo of the RELAXFIT program  
% for the 3pn-par. fit
%
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%-------------------------------------------------------------------
load demo_3pn.mat		%load a prepared data set:
				%A0=100;C0=20; 
				%R0=[0.18;0.20;0.20;0.22]; %relax.rates
				%1/R0=[5.5556,5.0000,5.0000,4.5455]; %relax.time
				%DELAY=[0:2:19];
				%xx_p=(A0-C0)*exp(-R0*DELAY)+C0;
				%xx_n=-(A0+C0)*exp(-R0*DELAY)+C0;
				%xx=[xx_p,xx_n];
				%DELAY=[DELAY,DELAY];
				%SIGMA=abs(xx(2,:))*0.05;
				%XPKS=[[1:4]',xx.*(1+0.05*randn(4,20))];

fitind=0;
pnsign=[ones(1,10),-ones(1,10)];

% you might want to try running the program step-by-step or let it fly automatically:
% select 0 or 1, respectively.

while 1,
  konfly=input('please enter 0 for step-by-step fitting or 1 for the autopilot run ==> ');
  if konfly==1|konfly==0, break; end
end
[res,kept]=relaxfit(XPKS,SIGMA,DELAY,fitind,konfly,pnsign);

% for your comparison, the results of our fitting are attached as RES0,kept0,KSIG0. 

% Good Luck!!!
% David
