function z=sortmat(x,icol)
%--------------------------------------------------
%
%	sort matrix x by column icol
%	CALL: z=sortmat(x,icol)
%		x- matrix, icol - column to sort
% Copyright (c) 1996-97 by David Fushman, The Rockefeller University
%--------------------------------------------------
[nr,nc]=size(x);
z=zeros(nr,nc);
[y,ii]=sort(x);
for jj=1:nr,
	z(jj,:)=x(ii(jj,icol),:);
end
return
%===================================================
